import http from './http'
import type { Employee } from '@/types/Employee'

export async function listEmployees(): Promise<Employee[]> {
  const { data } = await http.get('/employees')
  return data
}

export async function getEmployee(id: number): Promise<Employee> {
  const { data } = await http.get(`/employees/${id}`)
  return data
}

export async function createEmployee(payload: Partial<Employee>): Promise<Employee> {
  const { data } = await http.post('/employees', payload)
  return data
}

export async function updateEmployee(id: number, payload: Partial<Employee>): Promise<Employee> {
  const { data } = await http.put(`/employees/${id}`, payload)
  return data
}

export async function deleteEmployee(id: number): Promise<void> {
  await http.delete(`/employees/${id}`)
}
