export interface ProductionTarget {
  ProductionTargetID: number;
  itemID: number;
  itemType: 'PRODUCT' | 'MATERIAL';
  TargetProduced: number;
  ActualProduced: number;
  Status: string;
  startTime: string | null;
  endTime: string | null;
  totalProductionHours: number | null;
  Date: string;
  updatedAt: string;
  order?: {
    OrderID: number;
  } | null;
  page?: {
    PageID: number;
  } | null;
  item?: {
    id: number;
    type: 'PRODUCT' | 'MATERIAL';
    brand?: string;
    size?: string;
    unit?: string;
    quantityInStock?: number;
    lowStockLevel?: number;
    pricePerUnit?: number;
    status?: string;
    name?: string;
    lastUpdate?: string;
  } | null;
}
